Autodesk 24000-000000-9860 - Revit Architecture - PC User Manual page 1386

User guide
Table of Contents

Advertisement

Example:Application-Level Macro in C#
In the IDE, in the main window for the ThisApplication.cs source code, you can now enter your macro code.
For example, here is the
public void MyFirstMacroAppCS()
{
Autodesk.Revit.Geometry.XYZ baseVec = this.Create.NewXYZ(1.0, 0.0, 0.0);
Autodesk.Revit.Geometry.XYZ upVec = this.Create.NewXYZ(0.0, 0.0, 1.0);
Autodesk.Revit.Geometry.XYZ origin = this.Create.NewXYZ(0.0, 0.0, 0.0);
Autodesk.Revit.Enums.TextAlignFlags align =
Autodesk.Revit.Enums.TextAlignFlags.TEF_ALIGN_LEFT |
Autodesk.Revit.Enums.TextAlignFlags.TEF_ALIGN_TOP;
string strText = "My First Macro, App level, C#!";
double lineWidth = 4.0 / 12.0;
View pView = this.ActiveDocument.ActiveView;
this.ActiveDocument.Create.NewTextNote(pView, origin, baseVec, upVec, lineWidth, align,
strText);
}
In the example, the Revit API Geometry.XYZ class is used to define a position (with X, Y, Z coordinates) for
a Text Note that the macro will add to the active view of the active document.
For now, you can skip any implementation of the startup and shutdown methods.
In your Revit VSTA IDE session, you can copy and paste the code snippet shown previously and insert it
into your macro's method. After pasting the code from this documentation, check that no special characters
were added.
Build Macros in the Revit VSTA IDE
In the Revit VSTA IDE, select the Build option from the toolbar menu:
1348 | Chapter 24 Creating Macros with Revit VSTA
method in C#:
MyFirstMacroAppCS

Hide quick links:

Advertisement

Table of Contents
loading
Need help?

Need help?

Do you have a question about the 24000-000000-9860 - Revit Architecture - PC and is the answer not in the manual?

Questions and answers

Table of Contents

Save PDF